%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           deskbar-applet
Version:        2.30.0
Release:        2%{?dist}

Summary:        A Gnome applet to allow easy access to various search engines
Group:          Applications/Internet
License:        GPLv2
URL:            http://live.gnome.org/DeskbarApplet
Source0:        http://ftp.gnome.org/pub/GNOME/sources/deskbar-applet/2.27/%{name}-%{version}.tar.bz2
Source1:        fedorabz.py
Source2:        fedorabz.png
Patch0:         %{name}-%{version}-py_sitearch.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel python-devel pygtk2-devel gnome-python2-extras
BuildRequires:  gettext evolution-data-server-devel gnome-desktop-devel
BuildRequires:  libSM-devel gnome-python2-applet desktop-file-utils
BuildRequires:  perl(XML::Parser) gnome-python2-devel dbus-python-devel
BuildRequires:  gnome-doc-utils intltool
Requires:       gnome-python2 gnome-python2-applet gnome-python2-bonobo
Requires:       gnome-python2-gconf pygtk2 gnome-python2-libwnck
Requires:       gnome-python2-gnomedesktop gnome-python2-gnomekeyring
Requires:       python-simplejson
Requires(pre):  GConf2
Requires(post): GConf2 desktop-file-utils
Requires(preun): GConf2 desktop-file-utils
Provides:       deskbar-applet-fedorabz

%description
The goal of DeskbarApplet is to provide an omnipresent versatile search
interface. By typing search terms into the deskbar entry in your panel you are
presented with the search results as you type.

Seaches are handled by a series of plugins. DeskbarApplet provides a simple
interface to manage these plugins to provide you with the search results that
fit your needs.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# http://bugzilla.gnome.org/show_bug.cgi?id=579499
%patch0 -b .py_sitearch

%build
%configure --disable-schemas-install --disable-scrollkeeper
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#adir="$(grep "^artdir=" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc)"
#adir="${adir#*=}"
mdir="$(grep "^modulesdir=" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc)"
mdir="${mdir#*=}"
install -D -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT$mdir
install -D -m 0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}/art
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;


%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libexecdir}/%{name}
%{_libdir}/bonobo/servers/Deskbar_Applet.server
%{python_sitearch}/deskbar
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/omf/deskbar/
%{_datadir}/gnome/help/deskbar/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Jun 28 2010 Matthew Barnes <mbarnes@redhat.com> - 2.30.0-2
- Rebuild against newer libedataserver.

* Tue Apr 13 2010 Luke Macken <lmacken@redhat.com> - 2.30.0-1
- Latest upstream release
- Fixes #581881, #573772, #523561
- Updated site-packages location patch

* Tue Dec 29 2009 Luke Macken <lmacken@redhat.com> - 2.28.0-1
- Update to 2.28.0

* Mon Aug 10 2009 Michel Salim <salimma@fedoraproject.org> - 2.27.90-2
- Updated site-packages location patch

* Mon Aug 10 2009 Michel Salim <salimma@fedoraproject.org> - 2.27.90-1
- Update to 2.27.90

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Michel Salim <salimma@fedoraproject.org> - 2.26.0-3
- Patch for a multiple inheritance bug on 64-bit platforms

* Sun Apr 12 2009 Michel Salim <salimma@fedoraproject.org> - 2.26.0-2
- Fix site-packages location for 64-bit platforms

* Wed Apr  8 2009 Michel Salim <salimma@fedoraproject.org> - 2.26.0-1
- Update to 2.26.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.25.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 - Bastien Nocera <bnocera@redhat.com> - 2.25.1-6
- Rebuild for new libgnome-desktop

* Thu Dec  4 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.25.1-5
- Rebuild for Python 2.6

* Mon Dec 01 2008 Luke Macken <lmacken@redhat.com> - 2.25.1-4
- Require python-simplejson for the google search handler

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.25.1-3
- Rebuild for Python 2.6

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 2.25.1-2
- rebuild for dependancies

* Mon Nov 10 2008 Luke Macken <lmacken@redhat.com> - 2.25.1-1
- Update to the latest development version.

* Thu Oct 02 2008 Luke Macken <lmacken@redhat.com> - 2.24.0-2
- Add gnome-python2-gnome{desktop,keyring} to the Requires.
  This fixes #465146 and #460026.

* Fri Sep 26 2008 Luke Macken <lmacken@redhat.com> - 2.24.0-1
- Latest upstrem release

* Wed Jul 30 2008 Luke Macken <lmacken@redhat.com> - 2.23.5-1
- Latest upstream release of the 2.23.x branch

* Thu Jul 17 2008 Luke Macken <lmacken@redhat.com> - 2.23.4-1
- Latest upstream release of the 2.23.x branch

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 2.23.2-2
- rebuild for dependancies

* Mon May 12 2008 Luke Macken <lmacken@redhat.com> - 2.23.2-1
- Update to 2.23.2

* Wed Apr 23 2008 Luke Macken <lmacken@redhat.com> - 2.23.1-1
- Update to the first release of the 2.23 unstable series

* Sun Apr 20 2008 Luke Macken <lmacken@redhat.com> - 2.22.1-1
- Update to latest upstream release

* Tue Mar 11 2008 Luke Macken <lmacken@redhat.com> - 2.22.0.1-1
- Update to 2.22.0.1

* Thu Feb 28 2008 Luke Macken <lmacken@redhat.com> - 2.21.92-1
- Update to 2.21.92

* Tue Feb 12 2008 Luke Macken <lmacken@redhat.com> - 2.21.91-1
- Update to 2.21.91

* Fri Feb  1 2008 Luke Macken <lmacken@redhat.com> - 2.21.90.1-2
- Apply a patch from yaneti to fix a bug in the fedorabz handler

* Tue Jan 29 2008 Luke Macken <lmacken@redhat.com> - 2.21.90.1-1
- 2.21.90.1

* Tue Jan 29 2008 Luke Macken <lmacken@redhat.com> - 2.21.90-1
- 2.21.90

* Thu Jan 17 2008 Luke Macken <lmacken@redhat.com> - 2.21.5-1
- 2.21.5

* Thu Dec 20 2007 Luke Macken <lmacken@redhat.com> - 2.21.4-1
- 2.21.4

* Mon Dec  3 2007 Luke Macken <lmacken@redhat.com> - 2.21.3-1
- 2.21.3

* Tue Nov 13 2007 Luke Macken <lmacken@redhat.com> - 2.21.2-1
- 2.21.2

* Mon Oct 15 2007 Luke Macken <lmacken@redhat.com> - 2.20.1-1
- 2.20.1
- Add dbus-python-devel to BuildRequires

* Mon Sep 17 2007 Luke Macken <lmacken@redhat.com> - 2.20.0-1
- 2.20.0

* Sun Sep  9 2007 Luke Macken <lmacken@redhat.com> - 2.19.92-1
- 2.19.92

* Sat Aug 21 2007 Luke Macken <lmacken@redhat.com> - 2.19.90.1-1
- 2.19.90.1
- Remove all patches, as they are all upstream now
- Update license tag to GPLv2
- New version of the Fedora bugzilla module

* Sat Jul 14 2007 Luke Macken <lmacken@redhat.com> - 2.19.5-1
- 2.19.5
- Add patch to fix beagle-live issue (Bug #248249) based on recommendations from
  upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=429107
- Add the following temporary patches that I wrote and submitted upstream.
      deskbar-applet-desklicious-utils.patch (committed upstream, #456969)
      deskbar-applet-desklicious-results.patch (committed upstream, #456971)
      deskbar-applet-desklicious-name.patch (pending, #457133)
- Remove deskbar-applet-gdmclient.patch

* Fri Jun 29 2007 Luke Macken <lmacken@redhat.com> - 2.19.3-3
- Add deskbar-applet-gdmclient.patch to fix a nonfatal traceback on startup.
  (Upstream bug #452256)

* Wed Jun  6 2007 Luke Macken <lmacken@redhat.com> - 2.19.3-2
- Add deskbar-applet-firefox-searchplugins.patch to fix the issue where 
  deskbar-applet does not find the default Firefox search plugins (Bug #242977
  and #220662)

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> - 2.19.3-1
- Latest upstream release

* Wed Apr 11 2007 Luke Macken <lmacken@redhat.com> - 2.18.1-1
- 2.18.1

* Sun Mar 18 2007 Luke Macken <lmacken@redhat.com> - 2.18.0-1
- 2.18.0

* Wed Mar 14 2007 Luke Macken <lmacken@redhat.com> - 2.17.93-1
- 2.17.93

* Sat Mar  3 2007 Luke Macken <lmacken@redhat.com> - 2.17.92-1
- 2.17.92

* Tue Feb 27 2007 Luke Macken <lmacken@redhat.com> - 2.17.91-1
- 2.17.91

* Tue Feb 11 2007 Luke Macken <lmacken@redhat.com> - 2.17.90-3
- Disable scrollkeeper support, for now

* Tue Feb  9 2007 Luke Macken <lmacken@redhat.com> - 2.17.90-2
- Rebuild

* Tue Feb  9 2007 Luke Macken <lmacken@redhat.com> - 2.17.90-1
- 2.17.90
- scrollkeeper support

* Tue Jan 16 2007 Luke Macken <lmacken@redhat.com> - 2.17.5.1-2
- Add gnome-doc-utils to BuildRequires

* Tue Jan 16 2007 Luke Macken <lmacken@redhat.com> - 2.17.5.1-1
- 2.17.5.1

* Sun Dec 10 2006 Luke Macken <lmacken@redhat.com> - 2.17.2-3
- Rebuild for python 2.5

* Wed Nov 22 2006 Luke Macken <lmacken@redhat.com> - 2.17.2-2
- Run gtk-update-icon-cache in post and postun scripts (Bug #216827)

* Sun Nov 12 2006 Luke Macken <lmacken@redhat.com> - 2.17.2-1
- 2.17.2

* Sun Nov  5 2006 Luke Macken <lmacken@redhat.com> - 2.16-1-3
- Add gnome-python2-devel to BR

* Wed Nov  1 2006 Luke Macken <lmacken@redhat.com> - 2.16.1-2
- Add gnome-python2 to BuildRequires

* Wed Nov  1 2006 Luke Macken <lmacken@redhat.com> - 2.16.1-1
- 2.16.1

* Sat Oct 28 2006 Luke Macken <lmacken@redhat.com> - 2.16.0-2
- Rebuild

* Sun Oct  1 2006 Luke Macken <lmacken@redhat.com> - 2.16.0-1
- 2.16.0

* Wed Sep 06 2006 Michael J. Knox <michael[AT]knox.net.nz> - 2.15.91-5
- rebuild for FC6
- added BR on XML::Parser

* Sat Aug 19 2006 Luke Macken <lmacken@redhat.com> 2.15.91-3
- Install desktop file correctly

* Wed Aug 17 2006 Luke Macken <lmacken@redhat.com> 2.15.91-1
- 2.15.91
- Require gnome-python2-libwnck

* Mon Aug  7 2006 Luke Macken <lmacken@redhat.com> 2.14.1.1-2
- Rebuild

* Mon Apr 17 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1.1-1
- Upstream update

* Thu Apr 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1-1
- Upstream update
- Decoupled the BZ handler from the upstream tarball

* Tue Mar 14 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.0-2
- Fixed bug in Fedora Bugzilla handler (#184231)

* Sun Mar 12 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.0-1
- Upstream update

* Fri Feb 24 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.91-3
- Added beagle fix (#182728)

* Thu Feb 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.91-2
- Added patch for prctl thinko
- Added schema scripts

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.91-1
- Upstream update

* Thu Feb  2 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.13.90-1
- Upstream update

* Tue Jan  3 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.7-1
- Upstream update

* Mon Dec 12 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.6.1-1
- Upstream update

* Thu Dec  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.6-1
- Upstream update

* Thu Dec  1 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.5-2
- Fixed bugs in Fedora BZ handler

* Sun Nov 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.5-1
- Upstream update

* Wed Oct  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.0-1
- Upstream update
- Added Fedora BZ handler

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-3
- %%

* Wed Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-2
- Broke %%description at 80 columns

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Bump release to 1

* Thu Feb 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.2-0.iva.0
- Upstream update

* Sun Feb 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.1-0.iva.0
- Initial RPM release.
